com.mapinfo.midev.data

## Class DataSourceEntityDescription

- java.lang.Object
- - com.mapinfo.midev.data.DataSourceEntityDescription

    public final class DataSourceEntityDescription
    extends Object

Describes an entity in a data source.

### Constructor Summary

Constructors
Constructor and Description
`DataSourceEntityDescription(DataSourceNamespace namespace, String entityName, String entityType)` Create a new entity.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getEntityName()` Get the name of the entity.
`String` `getEntityType()` Get the type of the entity.
`DataSourceNamespace` `getNamespace()` Get the namespace of the entity.
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataSourceEntityDescription

    public DataSourceEntityDescription(DataSourceNamespace namespace,
                                       String entityName,
                                       String entityType)

Create a new entity.

Parameters:
  `namespace` - The namespace of the entity in the data source.
  `entityName` - The name of the entity. May not be null.
  `entityType` - The type of the entity (i.e. "TABLE"). May not be null.

### Method Detail

#### getNamespace

    public DataSourceNamespace getNamespace()

Get the namespace of the entity.

Returns:
  the namespace of the entity. May be null.

#### getEntityType

    public String getEntityType()

Get the type of the entity.

Returns:
  the type of the entity.

#### getEntityName

    public String getEntityName()

Get the name of the entity.

Returns:
  the name of the entity.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`